## org.springframework.core.serializer
Class DefaultDeserializer

    java.lang.Object
      org.springframework.core.serializer.DefaultDeserializer

All Implemented Interfaces:
  Deserializer<Object>

    public class DefaultDeserializer

extends Object
implements Deserializer<Object>

Deserializer that reads an input stream using Java Serialization.

Since:
  3.0.5
Author:
  Gary Russell, Mark Fisher

Constructor Summary
`DefaultDeserializer()`

Method Summary
`Object` `deserialize(InputStream inputStream)` Reads the input stream and deserializes into an object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultDeserializer

    public DefaultDeserializer()

Method Detail

### deserialize

    public Object deserialize(InputStream inputStream)
                       throws IOException

  Reads the input stream and deserializes into an object.

  Specified by:
    `deserialize` in interface `Deserializer<Object>`
  Parameters:
    `inputStream` - the input stream
  Returns:
    the deserialized object
  Throws:
    `IOException` - in case of errors reading from the stream